//
//  AGTableView.h
//  Queries
//
//  Created by Seth Willits on 1/25/08.
//  Copyright 2008 Araelium Group. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@protocol AGTableViewDelegate;


@interface AGTableView : NSTableView {
	BOOL mDoesNOTForceRowSelectionOnRightClick; // inverted so it defaults the right way
}

- (void)setDelegate:(id <AGTableViewDelegate>)delegate;
- (id <AGTableViewDelegate>)delegate;

//@property (readwrite, assign) BOOL forcesRowSelectionOnRightClick;

@end


@protocol AGTableViewDelegate
#if MAC_OS_X_VERSION_MAX_ALLOWED > MAC_OS_X_VERSION_10_5
<NSTableViewDelegate>
#endif

- (BOOL)performKeyEquivalent:(NSEvent *)event inTableView:(NSTableView *)tableView;
- (BOOL)keyDown:(NSEvent *)event inTableView:(NSTableView *)tableView;

// Really don't want to use this
@optional
- (NSMenu *)tableView:(NSTableView *)tableView menuForEvent:(NSEvent *)theEvent;

@end

